This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 532836 - Remote X GL stuff Stopped Working
Remote X GL stuff Stopped Working
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-x-target
  Show dependency treegraph
 
Reported: 2009-11-03 19:54 EST by Warren Togami
Modified: 2010-05-05 03:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 03:36:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2009-11-03 19:54:19 EST
Fedora 10 and 11 remote X worked fine for things like glxgears and compiz.  Fedora 12 is broken.

xorg-x11-server-Xorg-1.7.0-5.fc12.x86_64
glx-utils-7.6-0.13.fc12.x86_64

Working: ssh ForwardX11Trusted localhost
===========================
ssh username@localhost -Y
glxinfo works, "direct rendering: Yes"
glxgears crashes

Fail: ssh ForwardX11Trusted remote host
=======================================
ssh username@remotemachine -Y
glxinfo works, "direct rendering: Yes"
glxgears crashes, backtrace below.

Fail: X pointed at remote host
==============================
DISPLAY=REMOTEIP:DISPLAYNUMBER (with proper xauth to allow this to work)
2D X clients work just fine.
glxinfo fails
glxgears fails

(gdb) run
Starting program: /usr/bin/glxgears 
[Thread debugging using libthread_db enabled]

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff69e903e in vbo_VertexAttrib4fvARB (index=<value optimized out>, 
    v=0x1300) at vbo/vbo_attrib_tmp.h:354
354	      ATTR4FV(VBO_ATTRIB_GENERIC0 + index, v);
(gdb) bt
#0  0x00007ffff69e903e in vbo_VertexAttrib4fvARB (index=<value optimized out>, 
    v=0x1300) at vbo/vbo_attrib_tmp.h:354
#1  0x0000000000402d0e in init () at glxgears.c:403
#2  main () at glxgears.c:761
(gdb) bt full
#0  0x00007ffff69e903e in vbo_VertexAttrib4fvARB (index=<value optimized out>, 
    v=0x1300) at vbo/vbo_attrib_tmp.h:354
        dest = <value optimized out>
        exec = <value optimized out>
        ctx = <value optimized out>
        __FUNCTION__ = "vbo_VertexAttrib4fvARB"
#1  0x0000000000402d0e in init () at glxgears.c:403
        pos = {5, 5, 10, 0}
        red = {0.800000012, 0.100000001, 0, 1}
        green = {0, 0.800000012, 0.200000003, 1}
        blue = {0.200000003, 0.200000003, 1, 1}
#2  main () at glxgears.c:761
        winWidth = 300
        winHeight = 300
        x = 0
        y = 0
        dpy = 0x605010
        win = 67108866
        ctx = 0x621880
        dpyName = <value optimized out>
        printInfo = 0 '\000'
        i = <value optimized out>
Comment 1 Warren Togami 2009-11-03 19:57:42 EST
Oops, I meant glxgears works for ssh username@localhost but not ssh into a remote host with versions identical on both sides.
Comment 2 Matěj Cepl 2009-11-05 12:20:26 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 Chris Campbell 2009-11-22 11:11:35 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12
development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Chris Campbell 2009-12-05 10:37:28 EST
Warren, with Fedora 12 release, is this bug reproduceable?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Cathryn Mataga 2009-12-24 04:17:47 EST
I have Fedora 12, updated to current, and glxgears runs fine Cygwin as a remote X server. compiz gives me an error message 'Another window manger is already running on screen 0' -- I assume this is a config issue on my part of some kind.
Comment 6 Matěj Cepl 2010-02-26 07:25:21 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 7 Jeff Raber 2010-05-05 03:36:50 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.